## mapbox-polylabel 1.1.0

=== debian/changelog ===
mapbox-polylabel (1.1.0-1) unstable; urgency=medium

  * Compile and run test executable manually, mason buildsystem not available.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Apr 2024 09:59:42 +0200

mapbox-polylabel (1.1.0-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1069086)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 10:15:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# mason buildsystem not used
override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -Wall -Iinclude test/test.cpp -o test/test
	./test/test
endif

## mapbox-polylabel 2.0.0

=== debian/changelog ===
mapbox-polylabel (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Jun 2024 15:01:34 +0200

## mapbox-polylabel 2.0.1

=== Makefile ===
CXXFLAGS += -Iinclude -std=c++14 -Wall -Wextra -Wshadow -Werror -Wno-class-memaccess -g -fPIC

MASON ?= .mason/mason
VARIANT = variant 1.1.4
GEOMETRY = geometry 0.9.2
RAPIDJSON = rapidjson 1.1.0

$(MASON):
	git submodule update --init

DEPS = `$(MASON) cflags $(VARIANT)` \
	`$(MASON) cflags $(GEOMETRY)` \
	`$(MASON) cflags $(RAPIDJSON)`

mason_packages/headers/geometry: $(MASON)
	$(MASON) install $(VARIANT)
	$(MASON) install $(GEOMETRY)
	$(MASON) install $(RAPIDJSON)

build:
	mkdir -p build

build/test: test/test.cpp include/mapbox/polylabel.hpp build mason_packages/headers/geometry
	$(CXX) $(CFLAGS) $(CXXFLAGS) $(DEPS) $< -o $@

test: build/test
	./build/test

=== debian/changelog ===
mapbox-polylabel (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jul 2024 17:58:44 +0200

=== debian/control ===
Source: mapbox-polylabel
Section: libdevel
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper-compat (= 13),
               libmapbox-geometry-dev,
               rapidjson-dev <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapbox-polylabel/
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapbox-polylabel.git
Homepage: https://github.com/mapbox/polylabel
Rules-Requires-Root: no

Package: libmapbox-polylabel-dev
Architecture: all
Depends: libmapbox-geometry-dev,
         ${misc:Depends}
Description: Fast algorithm for finding polygon pole of inaccessibility
 polylabel provides a fast algorithm for finding polygon pole of
 inaccessibility, the most distant internal point from the polygon
 outline (not to be confused with centroid). Useful for optimal placement
 of a text label on a polygon.
 .
 It's an iterative grid algorithm, inspired by the paper by
 Garcia-Castellanos & Lombardo, 2007. Unlike the one in the paper, this
 algorithm:
 .
  * guarantees finding global optimum within the given precision
  * is many times faster (10-40x)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|polylabel)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/polylabel-$1.$2/ \
https://github.com/mapbox/polylabel/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|polylabel)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
